1. Reference
Fotor OpenAPI
  • Getting Started
    • Introduction
    • Access and Authentication
    • For Serverless Clients
    • Token Consumption
  • Reference
    • Get User Token Balance
      GET
    • Query Task Details
      GET
    • AI Upscaler API
      POST
    • AI Skin Retouch API
      POST
    • Image Generation API
      POST
    • Text to Image API
      POST
    • Image to Image (AI Art Effects) API
      POST
    • Background Remover API
      POST
    • AI Headshot API
      POST
    • Photo Colorize API
      POST
    • Photo Restoration API
      POST
    • AI Replace API
      POST
    • AI Expand API
      POST
    • AI Baby Generator API
      POST
  • Webhook
    • Webhook
  • AI Editor SDK
    • Getting Started
    • Get Sdk Temporary Token
      GET
  1. Reference

AI Baby Generator API

POST
/v1/aiart/aibaby
This API allows users to upload photos of the father and mother, then automatically generates a predicted image of their child by blending both parents’ facial features. Users can select the preferred gender and adjust how strongly the resulting image resembles each parent.

Request

Header Params

Body Params application/json

Example
{
    "genderPrompt": "boy",
    "weight": 0.5,
    "userFatherImageUrl": "https://u-static.fotor.com/uid_0f5eccd484e6403084043fd20e320027/image_to_image/app-fotor-web/8e1ce0ef-4002-4090-827f-a7fbeacdfa7e.jpeg",
    "userMotherImageUrl": "https://u-static.fotor.com/uid_0f5eccd484e6403084043fd20e320027/image_to_image/app-fotor-web/aa40e389-dc5a-4d7e-8db3-cc2b463ca36e.jpeg"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-b.fotor.com/v1/aiart/aibaby' \
--header 'Authorization: Bearer <your api key>' \
--header 'Content-Type: application/json' \
--data '{
    "genderPrompt": "boy",
    "weight": 0.5,
    "userFatherImageUrl": "https://u-static.fotor.com/uid_0f5eccd484e6403084043fd20e320027/image_to_image/app-fotor-web/8e1ce0ef-4002-4090-827f-a7fbeacdfa7e.jpeg",
    "userMotherImageUrl": "https://u-static.fotor.com/uid_0f5eccd484e6403084043fd20e320027/image_to_image/app-fotor-web/aa40e389-dc5a-4d7e-8db3-cc2b463ca36e.jpeg"
}'

Responses

🟢200success
application/json
Bodyapplication/json

Example
{
    "code": "000",
    "msg": "success",
    "data": {
        "taskId": "e0dc194703174b6eafeacb4ee8e02850"
    }
}
Modified at 2026-09-21 11:46:05
Previous
AI Expand API
Next
Webhook
Built with